## yt-dlp 2025.09.23

=== debian/changelog ===
yt-dlp (2025.09.23-1) unstable; urgency=medium

  * New upstream version 2025.09.23.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Sep 2025 06:58:24 -0400
