## yt-dlp 2025.09.23-1trisquel3

=== debian/changelog ===
yt-dlp (2025.09.23-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Sep 2025 21:03:26 +0000
