=== debian/changelog ===
yt-dlp (2025.09.23-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Sep 2025 21:09:27 +0000
