## yt-dlp 2025.09.26

=== debian/changelog ===
yt-dlp (2025.09.26-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Sep 2025 09:05:43 -0700

yt-dlp (2025.09.26-1) unstable; urgency=medium

  * New upstream version 2025.09.26.

 -- Unit 193 <unit193@debian.org>  Fri, 26 Sep 2025 19:33:15 -0400
