## yt-dlp 2025.09.26-1trisquel3

=== debian/changelog ===
yt-dlp (2025.09.26-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Sep 2025 12:51:37 +0000
