## yt-dlp 2025.09.26-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.09.26-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Sep 2025 12:51:32 +0000
