## yt-dlp 2025.10.14

=== debian/changelog ===
yt-dlp (2025.10.14-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 21 Oct 2025 06:38:37 -0400

yt-dlp (2025.10.14-1) unstable; urgency=medium

  * New upstream version 2025.10.14.

 -- Unit 193 <unit193@debian.org>  Wed, 15 Oct 2025 18:59:08 -0400
