=== debian/changelog ===
yt-dlp (2025.10.14-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Oct 2025 06:50:25 +0000
