## yt-dlp 2025.10.14-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.10.14-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Oct 2025 06:50:20 +0000
