## yt-dlp 2025.10.22

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -78,8 +78,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest:
-	$(PYTHON) -m pytest -m "not download"
+offlinetest: codetest
+	$(PYTHON) -m pytest -Werror -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)
@@ -157,7 +157,7 @@
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \
-		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
+		CONTRIBUTING.md Maintainers.md CONTRIBUTORS AUTHORS \
 		Makefile yt-dlp.1 README.txt completions .gitignore \
 		yt-dlp yt_dlp pyproject.toml devscripts test
