=== debian/changelog ===
yt-dlp (2025.10.22-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 09:40:13 -0700

yt-dlp (2025.10.22-1) unstable; urgency=medium

  * New upstream version 2025.10.22.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Oct 2025 20:23:01 -0400
