=== debian/control ===
--- 
+++ 
@@ -19,9 +19,8 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-         aria2 | wget | curl, ca-certificates,
-Recommends:  ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
