=== .pc/0004-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
--- 
+++ 
@@ -157,7 +157,7 @@
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \
-		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
+		CONTRIBUTING.md Maintainers.md CONTRIBUTORS AUTHORS \
 		Makefile yt-dlp.1 README.txt completions .gitignore \
 		yt-dlp yt_dlp pyproject.toml devscripts test
