=== debian/changelog ===
yt-dlp (2025.10.22-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 23 Oct 2025 06:51:10 +0000
