=== debian/changelog ===
yt-dlp (2025.11.12-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Nov 2025 07:10:32 -0800

yt-dlp (2025.11.12-1) unstable; urgency=medium

  * New upstream version 2025.11.12.
    - Refresh patches.
  * d/control: Replace PhamtomJS with current javascript options.
    (Closes: #1031775, #1053920)
  * d/NEWS, d/control:
    - Add NEWS entry and note that a js engine is needed for YouTube.
  * d/yt-dlp.conf: Add example config file.

 -- Unit 193 <unit193@debian.org>  Mon, 17 Nov 2025 18:28:12 -0500
