=== debian/control ===
--- 
+++ 
@@ -19,9 +19,10 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
-Suggests: libfribidi-bin | bidiv, phantomjs
+Depends: ${misc:Depends}, ${python3:Depends},
+          aria2 | wget | curl
+Recommends: ca-certificates, ffmpeg
+Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches
@@ -36,6 +37,8 @@
  determine the best (or worst) quality video to grab. It supports
  downloading entire playlists and all videos from a given user.
  .
+ Please note, you'll need an external JS engine such as NodeJS for YouTube.
+ .
  Currently supported sites (or features of sites) are:
  .
  ${yt-dlp:Sites}
