## yt-dlp 2025.12.08

=== Makefile ===
--- 
+++ 
@@ -202,9 +202,9 @@
 
 # The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
 # DO NOT EDIT!
-EJS_VERSION = 0.3.1
-EJS_WHEEL_NAME = yt_dlp_ejs-0.3.1-py3-none-any.whl
-EJS_WHEEL_HASH = sha256:a6e3548874db7c774388931752bb46c7f4642c044b2a189e56968f3d5ecab622
+EJS_VERSION = 0.3.2
+EJS_WHEEL_NAME = yt_dlp_ejs-0.3.2-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:f2dc6b3d1b909af1f13e021621b0af048056fca5fb07c4db6aa9bbb37a4f66a9
 EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
 EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
 EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver
