=== debian/changelog ===
yt-dlp (2025.12.08-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Dec 2025 08:42:50 -0800

yt-dlp (2025.12.08-1) unstable; urgency=medium

  * New upstream version 2025.12.08.
  * d/NEWS: Update wording, thanks _jwilk!
  * d/control: Add version constraint to hatchling.

 -- Unit 193 <unit193@debian.org>  Tue, 09 Dec 2025 04:21:39 -0500
