=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python (>= 5.20211213~),
                pandoc,
                pybuild-plugin-pyproject,
-               python3-hatchling,
+               python3-hatchling (>= 1.26.1~),
                python3-pytest <!nocheck>,
                zip
 Build-Depends-Indep: python3
@@ -19,9 +19,8 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-          aria2 | wget | curl
-Recommends: ca-certificates, ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
