=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = yt_dlp

%:
	dh $@ -Spybuild --with bash-completion

override_dh_auto_configure:
	PREFIX=/usr \
	SYSCONFDIR=/etc \
	$(MAKE)

	python3 devscripts/set-variant.py debian -M "As yt-dlp has been installed via apt, you should use that to update. If you're on a stable release, also check backports."

override_dh_python3:
	dh_python3 --depends-section=default

#
# Only pass if http_proxy is not set and USENETWORK set to no
#
override_dh_auto_test:
#	$(MAKE) offlinetest PYTHON=python3
