## yt-dlp 2026.02.04

=== debian/changelog ===
yt-dlp (2026.02.04-0.1~mx25) mx; urgency=medium

  * New upstream version 2026.02.04.
  * d/control: Restore 'priority' for MX repos.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Feb 2026 20:34:56 -0800

yt-dlp (2026.01.31-1) unstable; urgency=medium

  * New upstream version 2026.01.31.
    - Fix default player clients. (Closes: #1126687)
  * d/control: Drop 'priority' and R³, set by default.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Feb 2026 03:03:53 -0500
