=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: yt-dlp
+Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
 Section: web
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213~),
                pandoc,
@@ -11,16 +11,15 @@
                python3-pytest <!nocheck>,
                zip
 Build-Depends-Indep: python3
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
 Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
 Homepage: https://github.com/yt-dlp/yt-dlp
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends},
+           aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
