## yt-dlp 2026.02.21

=== Makefile ===
--- 
+++ 
@@ -202,9 +202,9 @@
 
 # The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
 # DO NOT EDIT!
-EJS_VERSION = 0.4.0
-EJS_WHEEL_NAME = yt_dlp_ejs-0.4.0-py3-none-any.whl
-EJS_WHEEL_HASH = sha256:19278cff397b243074df46342bb7616c404296aeaff01986b62b4e21823b0b9c
+EJS_VERSION = 0.5.0
+EJS_WHEEL_NAME = yt_dlp_ejs-0.5.0-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:674fc0efea741d3100cdf3f0f9e123150715ee41edf47ea7a62fbdeda204bdec
 EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
 EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
 EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver
