=== debian/changelog ===
yt-dlp (2026.02.21-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore "Priority: optional".

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Feb 2026 12:57:53 -0800

yt-dlp (2026.02.21-1) unstable; urgency=medium

  * New upstream version 2026.02.21.
    - [cookies] Ignore cookies with control characters. (Closes: #1127548)

 -- Unit 193 <unit193@debian.org>  Sat, 21 Feb 2026 18:05:10 -0500
