=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: yt-dlp
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-           aria2 | wget | curl, ca-certificates, ffmpeg
+          aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
