## yt-dlp 2026.02.21-1trisquel4

=== debian/changelog ===
yt-dlp (2026.02.21-1trisquel4) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 23 Feb 2026 03:22:16 +0000
